--forbidden
name = "flamer";

reload_time = 1;
bullets_per_shot = 1;


--  
bullet_damage = 60;
bullet_vel = 5;

--   
texture = "flamer";

z = -0.1;

image_width = 256;
image_height = 32;
frame_width = 32;
frame_height = 32;
frames_count = 8;
z = -0.2;

animations = 
{
	{
		-- ,  
		name = "straight";
		frames = 
		{
			{ com = constants.AnimComPlaySound; txt = "flame" },
			{ com = constants.AnimComRealX; param = 12 },
			{ com = constants.AnimComRealY; param = 12 },
			{ com = constants.AnimComRealW; param = 9 },
			{ com = constants.AnimComRealH; param = 8 },
			{ dur = 30; num = 0 },
			{ com = constants.AnimComRealX; param = 8 },
			{ com = constants.AnimComRealY; param = 10 },
			{ com = constants.AnimComRealW; param = 15 },
			{ com = constants.AnimComRealH; param = 12 },
			{ dur = 30; num = 1 },
			{ com = constants.AnimComRealX; param = 6 },
			{ com = constants.AnimComRealY; param = 8 },
			{ com = constants.AnimComRealW; param = 20 },
			{ com = constants.AnimComRealH; param = 18 },
			{ dur = 30; num = 2 },
			{ com = constants.AnimComRealX; param = 5 },
			{ com = constants.AnimComRealY; param = 7 },
			{ com = constants.AnimComRealW; param = 21 },
			{ com = constants.AnimComRealH; param = 19 },
			{ com = constants.AnimComPushInt; param = 128 },
			{ com = constants.AnimComJumpRandom; param = 31 },
			{ dur = 30; num = 3 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 5 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
			{ dur = 30; num = 5 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 3 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
		}
	},
	{
		-- ,    
		name = "diagdown";
		frames = 
		{
			{ com = constants.AnimComPlaySound; txt = "flame" },
			{ com = constants.AnimComRealX; param = 12 },
			{ com = constants.AnimComRealY; param = 12 },
			{ com = constants.AnimComRealW; param = 9 },
			{ com = constants.AnimComRealH; param = 8 },
			{ dur = 30; num = 0 },
			{ com = constants.AnimComRealX; param = 8 },
			{ com = constants.AnimComRealY; param = 10 },
			{ com = constants.AnimComRealW; param = 15 },
			{ com = constants.AnimComRealH; param = 12 },
			{ dur = 30; num = 1 },
			{ com = constants.AnimComRealX; param = 6 },
			{ com = constants.AnimComRealY; param = 8 },
			{ com = constants.AnimComRealW; param = 20 },
			{ com = constants.AnimComRealH; param = 18 },
			{ dur = 30; num = 2 },
			{ com = constants.AnimComRealX; param = 5 },
			{ com = constants.AnimComRealY; param = 7 },
			{ com = constants.AnimComRealW; param = 21 },
			{ com = constants.AnimComRealH; param = 19 },
			{ com = constants.AnimComPushInt; param = 128 },
			{ com = constants.AnimComJumpRandom; param = 31 },
			{ dur = 30; num = 3 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 5 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
			{ dur = 30; num = 5 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 3 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
		}
	},
	{
		-- ,    
		name = "diagup";
		frames = 
		{
			{ com = constants.AnimComPlaySound; txt = "flame" },
			{ com = constants.AnimComRealX; param = 12 },
			{ com = constants.AnimComRealY; param = 12 },
			{ com = constants.AnimComRealW; param = 9 },
			{ com = constants.AnimComRealH; param = 8 },
			{ dur = 30; num = 0 },
			{ com = constants.AnimComRealX; param = 8 },
			{ com = constants.AnimComRealY; param = 10 },
			{ com = constants.AnimComRealW; param = 15 },
			{ com = constants.AnimComRealH; param = 12 },
			{ dur = 30; num = 1 },
			{ com = constants.AnimComRealX; param = 6 },
			{ com = constants.AnimComRealY; param = 8 },
			{ com = constants.AnimComRealW; param = 20 },
			{ com = constants.AnimComRealH; param = 18 },
			{ dur = 30; num = 2 },
			{ com = constants.AnimComRealX; param = 5 },
			{ com = constants.AnimComRealY; param = 7 },
			{ com = constants.AnimComRealW; param = 21 },
			{ com = constants.AnimComRealH; param = 19 },
			{ com = constants.AnimComPushInt; param = 128 },
			{ com = constants.AnimComJumpRandom; param = 31 },
			{ dur = 30; num = 3 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 5 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
			{ dur = 30; num = 5 },
			{ dur = 30; num = 4 },
			{ dur = 30; num = 3 },
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 32 },
			{ com = constants.AnimComRealH; param = 24 },
			{ dur = 60; num = 6 },
			{ dur = 60; num = 7 },
			{ com = constants.AnimComDestroyObject },
		}
	},
	{
		--
		name = "die";
		frames =
		{
		}
	}
}