name = "generic-death-area";

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 0;
phys_max_x_vel = 0;
phys_max_y_vel = 30;

FunctionName = "CreateItem";

--  

texture = "btard";

image_width = 1024;
image_height = 1024;
frame_width = 256;
frame_height = 128;
frames_count = 28;


animations = 
{
	{ 
		-- 
		name = "init";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 1 },
			{ com = constants.AnimComRealH; param = 1 },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		-- 
		name = "idle";
		frames = 
		{
			{ num = 28; dur = 100 }
		}
	},
	{ 
		-- 
		name = "touch";
		frames = 
		{
			{ com = constants.AnimComDamage; param = 2000 },
			{ com = constants.AnimComSetAnim; txt = "idle" }
		}
	}
	
}



