function teleport_btard(x, y)
	CreateParticleSystem("pteleport", x + 164, y + 48);
	CreateEnemy("btard", x, y)
end 

function teleport_item(item, x, y)
	CreateParticleSystem("pteleport", x, y);
	CreateItem(item, x, y)
end 

function btards()
	local x
	local maxX = 1748
	local maxY = 800
	local speed = 400

	local player = GetPlayer()
	local hp = player.health
	local t = 0
	local old_t = 0
	local tiem = 0
	local timeout = 1
	local hp = 100

	health = CreateWidget(constants.wt_Label, "health", nil, 10, 20, 100, 100)
	WidgetSetVisible(health, true)
	WidgetSetCaption(health, "HEALTH: " .. player.health)
	WidgetSetCaptionColor(health, 0.0, 1.0, 0.0, false)
	WidgetSetCaptionFont(health, "default")
	time = CreateWidget(constants.wt_Label, "time", nil, 10, 30, 100, 120)
	WidgetSetVisible(time, true)
	WidgetSetCaption(time, "TIME: 0:0")
	WidgetSetCaptionColor(time, 1.0, 1.0, 1.0, false)
	WidgetSetCaptionFont(time, "default")
	kills = CreateWidget(constants.wt_Label, "kills", nil, 10, 40, 100, 120)
	WidgetSetVisible(kills, true)
	WidgetSetCaption(kills, "KILLS: 0")
	WidgetSetCaptionColor(kills, 1.0, 1.0, 1.0, false)
	WidgetSetCaptionFont(kills, "default")
	bubble = nil
	--    ,  alt_ammo
	ammo = CreateWidget(constants.wt_Label, "ammo", nil, 10, 50, 100, 120)
	WidgetSetVisible(ammo, true)
	WidgetSetCaption(ammo, "AMMO: 100")
	WidgetSetCaptionColor(ammo, 1.0, 1.0, 1.0, false)
	WidgetSetCaptionFont(ammo, "default")

	while hp > 0 do
		player = GetPlayer()
		if ( player.isInvincible and bubble == nil ) then
			bubble = CreateWidget(constants.wt_Picture, "invincibility-bubble", nil, 256, 221, 384, 349)
			WidgetSetVisible(bubble, true)
 			WidgetSetSprite(bubble, "invincibility-bubble")
		end
		if not ( player.isInvincible or bubble == nil ) then
			DestroyWidget( bubble )
			bubble = nil
		end
		hp = player.health
		if ( hp < 50 ) then
			if ( hp < 25 ) then
				WidgetSetCaptionColor(health, 1.0, 0.0, 0.0, false)
			else
				WidgetSetCaptionColor(health, 1.0, 0.5, 0.0, false)
			end
		else
			WidgetSetCaptionColor(health, 0.0, 1.0, 0.0, false)
		end
		WidgetSetCaption(health, "HEALTH: " .. hp)
		WidgetSetCaption(time, "TIME: " .. t)
		WidgetSetCaption(ammo, "AMMO: " .. player.ammo)
		if ( mapvar == nil or mapvar.kills == nil ) then
			WidgetSetCaption(kills, "KILLS: 0")
		else
			WidgetSetCaption(kills, "KILLS: " .. mapvar.kills)
		end
		timeout = timeout - 1;
		if ( timeout <= 0 ) then
			teleport_btard(100+math.random(maxX), -1000)
			if ( math.random(10) < 5 ) then
				teleport_btard(9, 55)
			end
			if ( math.random(10) < 3 ) then
				teleport_item("vegetable1", 100+math.random(1365), 280)
			end
			if ( math.random(10) < 2 ) then
				teleport_item("vegetable1", 1653+math.random(300), 11)
			end
			if ( math.random(10) < 2 ) then
				teleport_item("vegetable3", 100+math.random(1365), 280)
			end
			if ( math.random(10) < 1 ) then
				teleport_item("vegetable3", 1653+math.random(300), 11)
			end
			if ( math.random(10) < 2 ) then
				teleport_item("ammo", 100+math.random(200), -400)
			end
			if ( math.random(10) < 2 ) then
				teleport_item("ammo", 600+math.random(200), -400)
			end
			if ( math.random(10) < 2 ) then
				teleport_item("ammo", 1474+math.random(400), -400)
			end
			if ( speed < 350 ) then
				teleport_btard(1347, -410)
			end
			if ( speed < 250 ) then
				teleport_btard(100+math.random(maxX), -1000)
			end
			if ( speed < 150 ) then
				teleport_btard(100+math.random(maxX), -1000)
			end
			timeout = math.random(speed)
		end
		Wait(1)
		tiem = tiem + 1
		t = math.floor(tiem / 100)
		if ( old_t ~= t and speed > 100 ) then
			old_t = t
			speed = speed - 10
		end
	end

	if not ( bubble == nil ) then
		DestroyWidget(bubble)
	end
	LoadSound("music\\iie_finish.it")
	PlayBackMusic("iie_finish")
	Wait(1000)

	local lbl = CreateWidget(constants.wt_Label, "label", nil, 236, 370, 168, 10)
	--WidgetSetBorder(lbl, true)
 	WidgetSetVisible(lbl, true)
 	WidgetSetCaption(lbl, "You are dead.")
 	--WidgetSetCaptionColor(lbl, 1.0, 0.5, 0.0, true)
 	WidgetSetCaptionColor(lbl, 1.0, 0.5, 0.0, false)
 	WidgetSetCaptionFont(lbl, "default")

	LoadTexture("endbutton.png");
 	LoadPrototype("endbutton.lua");


	local soh_btn = CreateWidget(constants.wt_Button, "soh_btn", nil, 256, 200, 128, 150)
 	--WidgetSetBorder(soh_btn, true)
 	WidgetSetVisible(soh_btn, true)
 	WidgetSetSprite(soh_btn, "endbutton")
 	WidgetSetAnim(soh_btn, "idle")
 

 	function soh_btnOnLClick(sender)
 	        DestroyWidget(sender)
 	        DestroyWidget(lbl)
		DestroyWidget(health)
		DestroyWidget(time)
		DestroyWidget(ammo)
		DestroyWidget(kills)
		if not ( mapvar == nil or mapvar.kills == nil ) then
			mapvar.kills = 0;
		end
		ExitGame()
		--dofile("scripts/map2.lua")
 	end
 	
 	function soh_btnOnEnter(sender)
 	        WidgetSetAnim(sender, "aim")
 	end
 	
 	function soh_btnOnLeave(sender)
 	        WidgetSetAnim(sender, "idle")
 	end
 	
 	WidgetSetLMouseClickProc(soh_btn, soh_btnOnLClick)
 	WidgetSetMouseEnterProc(soh_btn, soh_btnOnEnter)
 	WidgetSetMouseLeaveProc(soh_btn, soh_btnOnLeave)

end

LoadTexture("sohchan.png");
LoadTexture("bullets.png");
LoadTexture("bullets-sfg5000.png");
LoadTexture("flamer.png");
LoadTexture("flash-straight.png");
LoadTexture("flash-angle.png");
LoadTexture("invincibility-bubble.png");
LoadPrototype("invincibility-bubble.lua");
LoadPrototype("flamer.lua");
LoadPrototype("sohchan.lua");
LoadPrototype("sfg9000.lua");
LoadPrototype("sfg5000.lua");
LoadPrototype("flash-straight.lua");
LoadPrototype("flash-angle-up.lua");
LoadPrototype("flash-angle-down.lua");

LoadTexture("dust-run.png");
LoadPrototype("dust-run.lua");
LoadTexture("dust-land.png");
LoadPrototype("dust-land.lua");
LoadTexture("dust-stop.png");
LoadPrototype("dust-stop.lua");

LoadTexture("btard.png");
LoadPrototype("btard.lua");
LoadPrototype("btard-corpse.lua");
LoadPrototype("btard-punch.lua");
LoadPrototype("death-area.lua");
LoadPrototype("generic-death-area.lua");

LoadPrototype("phys-empty.lua");

LoadTexture("unyl_sprite.png");
LoadPrototype("unylchan.lua");

LoadTexture("wakabamark.png");
LoadPrototype("wakabamark.lua");
LoadTexture("candle.png");
LoadPrototype("candle.lua");
LoadTexture("vegetable1.png");
LoadPrototype("vegetable1.lua");
LoadTexture("vegetable3.png");
LoadPrototype("vegetable3.lua");
LoadTexture("ammo.png");
LoadPrototype("ammo.lua");

LoadTexture("ruins-block1.png");
LoadPrototype("ruins-block1.lua");
LoadTexture("ruins-block2.png");
LoadPrototype("ruins-block2.lua");
LoadTexture("ruins-block3.png");
LoadPrototype("ruins-block3.lua");
LoadTexture("ruins-block4.png");
LoadPrototype("ruins-block4.lua");
LoadTexture("ruins-block5.png");
LoadPrototype("ruins-block5.lua");
LoadTexture("ruins-block6.png");
LoadPrototype("ruins-block6.lua");
LoadTexture("ruins-column.png");
LoadPrototype("ruins-column.lua");
LoadTexture("ruins-back-window1.png");
LoadPrototype("ruins-back-window1.lua");
LoadTexture("ruins-back-edge-right.png");
LoadPrototype("ruins-back-edge-right.lua");
LoadTexture("ruins-back-top-broken.png");
LoadPrototype("ruins-back-top-broken.lua");
LoadTexture("ruins-back-window2.png");
LoadPrototype("ruins-back-window2.lua");
LoadTexture("ruins-back-window3.png");
LoadPrototype("ruins-back-window3.lua");
LoadTexture("ruins-back-window4.png");
LoadPrototype("ruins-back-window4.lua");
LoadTexture("ruins-back-dark.png");
LoadPrototype("ruins-back-dark.lua");
LoadTexture("ruins-back-light.png");
LoadPrototype("ruins-back-light.lua");
LoadTexture("ruins-back-light-right-broken.png");
LoadPrototype("ruins-back-light-right-broken.lua");
LoadTexture("ruins-back-light-right-broken2.png");
LoadPrototype("ruins-back-light-right-broken2.lua");
LoadTexture("ruins-back-light-right-broken-corner.png");
LoadPrototype("ruins-back-light-right-broken-corner.lua");
LoadTexture("ruins-back-dark-left.png");
LoadPrototype("ruins-back-dark-left.lua");
LoadTexture("ruins-back-dark-right.png");
LoadPrototype("ruins-back-dark-right.lua");
LoadTexture("2nd_plan.png");
LoadPrototype("2nd_plan.lua");
LoadTexture("3nd_plan.png");
LoadPrototype("3nd_plan.lua");
LoadTexture("4nd_plan.png");
LoadPrototype("4nd_plan.lua");
LoadTexture("pteleport.png");
LoadPrototype("pteleport.lua");
LoadTexture("pblood.png");
LoadPrototype("pblood.lua");
LoadPrototype("pblood-wound.lua");

LoadSound("blaster_shot.ogg");
LoadSound("foot-left.ogg");
LoadSound("foot-right.ogg");
LoadSound("land.ogg");
LoadSound("stop.ogg");
LoadSound("ammo-pickup.ogg");
LoadSound("health-pickup.ogg");
LoadSound("flame.ogg");
LoadSound("music\\iie_survivor.it");
LoadSound("item_appear.ogg");


InitNewGame();

CreateRibbonZB("2nd_plan", 615, 230, -0.75, 0.45, 43, 0, 837, 0);
CreateRibbonZB("3nd_plan", 615, 230, -0.8, 0.5, 43, 0, 837, 0);
CreateRibbonZB("4nd_plan", 615, 230, -0.85, 0.6, 43, 0, 837, 0);

--UserScriptEnd
CreateSprite("ruins-back-light", 197, 95);
CreateSprite("ruins-back-light", 194, 157);
CreateSprite("ruins-back-light", 194, 31);
CreateSprite("ruins-back-light", 194, -30);
CreateSprite("ruins-back-light", 194, -94);
CreateSprite("ruins-back-light", 195, -158);
CreateSprite("ruins-back-light", 194, -222);
CreateSprite("ruins-back-light", 194, -284);
CreateSprite("ruins-back-light", 194, -347);
CreateSprite("ruins-back-light", 196, -411);
CreateSprite("ruins-back-light", 151, -156);
CreateSprite("ruins-back-light", 144, -217);
CreateSprite("ruins-back-light", 139, -277);
CreateSprite("ruins-back-light", 140, -337);
CreateSprite("ruins-back-light", 140, -397);
CreateSprite("ruins-back-light", 81, -394);
CreateSprite("ruins-back-light", 80, -331);
CreateSprite("ruins-back-light", 86, -270);
CreateSprite("ruins-back-light", 88, -218);
CreateSprite("ruins-back-light", 65, -156);
CreateSprite("ruins-back-light", 58, -218);
CreateSprite("ruins-back-light", 47, -271);
CreateSprite("ruins-back-light", 48, -328);
CreateSprite("ruins-back-light", 54, -384);
CreateSprite("ruins-back-light", 54, -160);
CreateSprite("ruins-back-light", 55, -107);
CreateSprite("ruins-back-light", 60, -50);
CreateSprite("ruins-back-light", 59, 10);
CreateSprite("ruins-back-light", 57, 65);
CreateSprite("ruins-back-light", 69, 125);
CreateSprite("ruins-back-light", 54, 125);
CreateSprite("ruins-back-light", 69, 73);
CreateSprite("ruins-back-light", 117, 22);
CreateSprite("ruins-back-light", 155, 83);
CreateSprite("ruins-back-light", 128, 147);
CreateSprite("ruins-back-light", 167, 146);
CreateSprite("ruins-back-light", 158, 30);
CreateSprite("ruins-back-light", 112, -27);
CreateSprite("ruins-back-light", 156, -29);
CreateSprite("ruins-back-light", 107, -93);
CreateSprite("ruins-back-light", 157, -98);
CreateSprite("ruins-back-light", 114, -55);
CreateSprite("ruins-back-light", 157, -64);
CreateSprite("ruins-back-light", 58, 203);
CreateSprite("ruins-back-light", 173, 201);
CreateSprite("ruins-back-light", 202, 214);
CreateSprite("ruins-back-light", 57, 257);
CreateSprite("ruins-back-light", 174, 257);
CreateSprite("ruins-back-light", 193, 271);
CreateSprite("ruins-back-light", 191, 302);
CreateSprite("ruins-back-light", 194, 362);
CreateSprite("ruins-back-light", 194, 421);
CreateSprite("ruins-back-light", 191, 449);
CreateSprite("ruins-back-light", 160, 284);
CreateSprite("ruins-back-light", 61, 285);
CreateSprite("ruins-back-light", 62, 363);
CreateSprite("ruins-back-light", 159, 366);
CreateSprite("ruins-back-light", 159, 423);
CreateSprite("ruins-back-light", 115, 342);
CreateSprite("ruins-back-light", 73, 404);
CreateSprite("ruins-back-light", 111, 464);
CreateSprite("ruins-back-light", 167, 481);
CreateSprite("ruins-back-light", 52, 423);
CreateSprite("ruins-back-light", 60, 476);
CreateSprite("ruins-back-light", 644, 361);
CreateSprite("ruins-back-light", 644, 421);
CreateSprite("ruins-back-light", 643, 460);
CreateSprite("ruins-back-light", 672, 421);
CreateSprite("ruins-back-light", 672, 363);
CreateSprite("ruins-back-light", 717, 352);
CreateSprite("ruins-back-light", 758, 415);
CreateSprite("ruins-back-light", 770, 361);
CreateSprite("ruins-back-light", 777, 416);
CreateSprite("ruins-back-light", 778, 361);
CreateSprite("ruins-back-light", 698, 475);
CreateSprite("ruins-back-light", 759, 476);
CreateSprite("ruins-back-light", 771, 466);
CreateSprite("ruins-back-light", 642, 201);
CreateSprite("ruins-back-light", 642, 260);
CreateSprite("ruins-back-light", 636, 291);
CreateSprite("ruins-back-light", 674, 298);
CreateSprite("ruins-back-light", 674, 246);
CreateSprite("ruins-back-light", 676, 194);
CreateSprite("ruins-back-light", 731, 195);
CreateSprite("ruins-back-light", 774, 199);
CreateSprite("ruins-back-light", 761, 255);
CreateSprite("ruins-back-light", 716, 318);
CreateSprite("ruins-back-light", 777, 315);
CreateSprite("ruins-back-light", 625, 93);
CreateSprite("ruins-back-light", 690, 6);
CreateSprite("ruins-back-light", 626, 29);
CreateSprite("ruins-back-light", 761, 128);
CreateSprite("ruins-back-light", 626, 123);
CreateSprite("ruins-back-light", 676, 145);
CreateSprite("ruins-back-light", 722, 145);
CreateSprite("ruins-back-light", 774, 131);
CreateSprite("ruins-back-light", 774, 82);
CreateSprite("ruins-back-light", 773, 29);
CreateSprite("ruins-back-light", 675, 87);
CreateSprite("ruins-back-light", 763, 79);
CreateSprite("ruins-back-light", 668, 40);
CreateSprite("ruins-back-light", 761, 65);
CreateSprite("ruins-back-light", 704, 22);
CreateSprite("ruins-back-light", 675, 38);
CreateSprite("ruins-back-light", 737, 6);
CreateSprite("ruins-back-light", 626, -25);
CreateSprite("ruins-back-light", 680, -52);
CreateSprite("ruins-back-light", 742, -49);
CreateSprite("ruins-back-light", 773, -32);
CreateSprite("ruins-back-light", 626, -155);
CreateSprite("ruins-back-light", 626, -88);
CreateSprite("ruins-back-light", 625, -119);
CreateSprite("ruins-back-light", 626, -210);
CreateSprite("ruins-back-light", 625, -269);
CreateSprite("ruins-back-light", 625, -333);
CreateSprite("ruins-back-light", 625, -396);
CreateSprite("ruins-back-light", 689, -396);
CreateSprite("ruins-back-light", 718, -317);
CreateSprite("ruins-back-light", 688, -273);
CreateSprite("ruins-back-light", 677, -211);
CreateSprite("ruins-back-light", 678, -152);
CreateSprite("ruins-back-light", 678, -97);
CreateSprite("ruins-back-light", 730, -91);
CreateSprite("ruins-back-light", 772, -94);
CreateSprite("ruins-back-light", 761, -143);
CreateSprite("ruins-back-light", 777, -152);
CreateSprite("ruins-back-light", 738, -216);
CreateSprite("ruins-back-light", 762, -195);
CreateSprite("ruins-back-light", 782, -214);
CreateSprite("ruins-back-light", 744, -273);
CreateSprite("ruins-back-light", 782, -277);
CreateSprite("ruins-back-light", 748, -327);
CreateSprite("ruins-back-light", 782, -332);
CreateSprite("ruins-back-light", 746, -381);
CreateSprite("ruins-back-light", 782, -396);
CreateSprite("ruins-back-light", 746, -426);
CreateSprite("ruins-back-light", 775, 259);
CreateSprite("ruins-back-dark", 354, -283);
CreateSprite("ruins-back-dark", 355, -235);
CreateSprite("ruins-back-dark", 355, -171);
CreateSprite("ruins-back-dark", 355, -113);
CreateSprite("ruins-back-dark", 354, -68);
CreateSprite("ruins-back-dark", 345, -174);
CreateSprite("ruins-back-dark", 345, 59);
CreateSprite("ruins-back-dark", 261, 60);
CreateSprite("ruins-back-dark", 260, -173);
CreateSprite("ruins-back-dark", 559, -172);
CreateSprite("ruins-back-dark", 476, -167);
CreateSprite("ruins-back-dark", 557, -214);
CreateSprite("ruins-back-dark", 477, 63);
CreateSprite("ruins-back-dark", 560, 59);
CreateSprite("ruins-back-dark", 260, 239);
CreateSprite("ruins-back-dark", 344, 239);
CreateSprite("ruins-back-dark", 476, 243);
CreateSprite("ruins-back-dark", 560, 240);
CreateSprite("ruins-back-dark", 461, 198);
CreateSprite("ruins-back-dark", 461, 156);
CreateSprite("ruins-back-dark", 461, 107);
CreateSprite("ruins-back-dark", 461, 56);
CreateSprite("ruins-back-dark", 461, 12);
CreateSprite("ruins-back-dark", 481, 5);
CreateSprite("ruins-back-dark", 481, 183);
CreateSprite("ruins-back-dark", 340, 1);
CreateSprite("ruins-back-dark", 264, 6);
CreateSprite("ruins-back-dark", 342, 180);
CreateSprite("ruins-back-dark", 266, 183);
CreateSprite("ruins-back-dark", 293, -302);
CreateSprite("ruins-back-dark", 292, -365);
CreateSprite("ruins-back-dark", 353, -345);
CreateSprite("ruins-back-dark", 354, -408);
CreateSprite("ruins-back-dark", 404, -336);
CreateSprite("ruins-back-dark", 406, -398);
CreateSprite("ruins-back-dark", 399, -476);
CreateSprite("ruins-back-dark", 460, -291);
CreateSprite("ruins-back-dark", 519, -295);
CreateSprite("ruins-back-dark", 560, -284);
CreateSprite("ruins-back-dark", 356, -293);
CreateSprite("ruins-back-dark", 459, -355);
CreateSprite("ruins-back-dark", 516, -356);
CreateSprite("ruins-back-dark", 545, -347);
CreateSprite("ruins-back-dark", 463, -415);
CreateSprite("ruins-back-dark", 521, -415);
CreateSprite("ruins-back-dark", 562, -382);
CreateSprite("ruins-back-dark", 321, -429);
CreateSprite("ruins-back-dark-left", 258, -289);
CreateSprite("ruins-back-dark-left", 258, -353);
CreateSprite("ruins-back-dark-left", 257, -411);
CreateSprite("ruins-back-dark-left", 257, -473);
CreateSprite("ruins-back-dark-right", 562, -289);
CreateSprite("ruins-back-dark-right", 562, -464);
CreateSprite("ruins-back-dark-right", 562, -400);
CreateSprite("ruins-back-dark", 337, -472);
CreateSprite("ruins-back-dark", 288, -473);
CreateSprite("ruins-back-dark", 447, -457);
CreateSprite("ruins-back-dark", 483, -457);
CreateSprite("ruins-back-dark", 357, -244);
CreateSprite("ruins-back-dark", 357, -186);
CreateSprite("ruins-back-dark", 357, -124);
CreateSprite("ruins-back-dark", 357, -102);
CreateSprite("ruins-back-dark", 459, -102);
CreateSprite("ruins-back-dark", 459, -149);
CreateSprite("ruins-back-dark", 357, 33);
CreateSprite("ruins-back-dark", 357, 92);
CreateSprite("ruins-back-dark", 357, 152);
CreateSprite("ruins-back-dark", 357, 206);
CreateSprite("ruins-back-window1", 136, 405);
CreateSprite("ruins-back-window1", 736, 416);
CreateSprite("ruins-back-dark-left", 258, 284);
CreateSprite("ruins-back-dark-left", 258, 220);
CreateSprite("ruins-back-dark-left", 258, 157);
CreateSprite("ruins-back-dark-left", 258, 94);
CreateSprite("ruins-back-dark-left", 258, 31);
CreateSprite("ruins-back-dark-left", 258, -33);
CreateSprite("ruins-back-dark-left", 258, -97);
CreateSprite("ruins-back-dark-left", 258, -161);
CreateSprite("ruins-back-dark-left", 258, -225);
CreateSprite("ruins-back-dark-right", 562, 284);
CreateSprite("ruins-back-dark-right", 562, 220);
CreateSprite("ruins-back-dark-right", 562, 156);
CreateSprite("ruins-back-dark-right", 562, 92);
CreateSprite("ruins-back-dark-right", 562, 29);
CreateSprite("ruins-back-dark-right", 562, -34);
CreateSprite("ruins-back-dark-right", 562, -97);
CreateSprite("ruins-back-dark-right", 562, -161);
CreateSprite("ruins-back-dark-right", 562, -225);
CreateSprite("ruins-back-dark", 321, 123);
CreateSprite("ruins-back-dark", 321, 172);
CreateSprite("ruins-back-dark", 347, 59);
CreateSprite("ruins-back-dark", 322, -5);
CreateSprite("ruins-back-dark", 354, -4);
CreateSprite("ruins-back-dark", 355, 59);
CreateSprite("ruins-back-dark", 355, 123);
CreateSprite("ruins-back-dark", 355, 171);
CreateSprite("ruins-back-dark", 463, 172);
CreateSprite("ruins-back-dark", 518, 176);
CreateSprite("ruins-back-dark", 464, 234);
CreateSprite("ruins-back-dark", 464, 120);
CreateSprite("ruins-back-dark", 464, 58);
CreateSprite("ruins-back-dark", 463, 0);
CreateSprite("ruins-back-dark", 412, -28);
CreateSprite("ruins-back-dark", 355, 2);
CreateSprite("ruins-back-dark", 474, -60);
CreateSprite("ruins-back-dark", 512, -4);
CreateSprite("ruins-back-dark", 475, 60);
CreateSprite("ruins-back-dark", 517, 124);
CreateSprite("ruins-back-dark", 520, -60);
CreateSprite("ruins-back-dark", 504, -110);
CreateSprite("ruins-back-dark", 473, -166);
CreateSprite("ruins-back-dark", 474, -217);
CreateSprite("ruins-back-dark", 503, -237);
CreateSprite("ruins-back-dark", 462, -107);
CreateSprite("ruins-back-dark", 460, -170);
CreateSprite("ruins-back-dark", 462, -234);
CreateSprite("ruins-back-dark", 410, -46);
CreateSprite("ruins-back-dark", 354, -65);
CreateSprite("ruins-back-dark", 352, -113);
CreateSprite("ruins-back-dark", 353, -167);
CreateSprite("ruins-back-dark", 353, -219);
CreateSprite("ruins-back-dark", 353, -241);
CreateSprite("ruins-back-dark", 313, -113);
CreateSprite("ruins-back-dark", 303, -61);
CreateSprite("ruins-back-dark", 345, -169);
CreateSprite("ruins-back-dark", 308, -241);
CreateSprite("ruins-back-dark", 345, -181);
CreateSprite("ruins-back-dark", 347, 234);
CreateSprite("ruins-back-dark", 355, 235);
CreateSprite("ruins-back-dark", 409, 263);
CreateSprite("ruins-back-dark", 474, 240);
CreateSprite("ruins-back-dark", 462, 284);
CreateSprite("ruins-back-dark", 506, 302);
CreateSprite("ruins-back-dark", 359, 292);
CreateSprite("ruins-back-dark", 411, 306);
CreateSprite("ruins-back-dark", 310, 299);
CreateSprite("ruins-back-dark", 348, 288);
CreateSprite("ruins-back-dark", 259, 362);
CreateSprite("ruins-back-dark", 259, 423);
CreateSprite("ruins-back-dark", 258, 449);
CreateSprite("ruins-back-dark", 318, 363);
CreateSprite("ruins-back-dark", 318, 426);
CreateSprite("ruins-back-dark", 320, 450);
CreateSprite("ruins-back-dark", 374, 364);
CreateSprite("ruins-back-dark", 376, 422);
CreateSprite("ruins-back-dark", 378, 449);
CreateSprite("ruins-back-dark", 438, 364);
CreateSprite("ruins-back-dark", 439, 419);
CreateSprite("ruins-back-dark", 442, 451);
CreateSprite("ruins-back-dark", 495, 362);
CreateSprite("ruins-back-dark", 501, 412);
CreateSprite("ruins-back-dark", 505, 452);
CreateSprite("ruins-back-dark", 573, 361);
CreateSprite("ruins-back-dark", 573, 424);
CreateSprite("ruins-back-dark", 574, 448);
CreateSprite("ruins-back-dark", 543, 363);
CreateSprite("ruins-back-dark", 524, 420);
CreateSprite("ruins-back-dark", 542, 451);
CreateSprite("ruins-column", 244, 202);
local group = CreateSprite("phys-empty", 62, 348);
GroupObjects(group, CreateSprite("ruins-block1", 62, 348));
GroupObjects(group, CreateSprite("ruins-block1", 93, 348));
GroupObjects(group, CreateSprite("ruins-block1", 124, 348));
GroupObjects(group, CreateSprite("ruins-block1", 155, 348));
GroupObjects(group, CreateSprite("ruins-block1", 186, 348));
GroupObjects(group, CreateSprite("ruins-block1", 217, 348));
GroupObjects(group, CreateSprite("ruins-block1", 248, 348));
GroupObjects(group, CreateSprite("ruins-block1", 279, 348));
GroupObjects(group, CreateSprite("ruins-block1", 310, 348));
GroupObjects(group, CreateSprite("ruins-block1", 341, 348));
GroupObjects(group, CreateSprite("ruins-block1", 372, 348));
GroupObjects(group, CreateSprite("ruins-block1", 403, 348));
GroupObjects(group, CreateSprite("ruins-block1", 434, 348));
GroupObjects(group, CreateSprite("ruins-block1", 465, 348));
GroupObjects(group, CreateSprite("ruins-block1", 496, 348));
GroupObjects(group, CreateSprite("ruins-block1", 527, 348));
GroupObjects(group, CreateSprite("ruins-block1", 558, 348));
GroupObjects(group, CreateSprite("ruins-block1", 589, 348));
GroupObjects(group, CreateSprite("ruins-block1", 620, 348));
GroupObjects(group, CreateSprite("ruins-block1", 651, 348));
GroupObjects(group, CreateSprite("ruins-block1", 682, 348));
GroupObjects(group, CreateSprite("ruins-block1", 713, 348));
GroupObjects(group, CreateSprite("ruins-block1", 744, 348));
GroupObjects(group, CreateSprite("ruins-block1", 775, 348));
GroupObjects(group, CreateSprite("ruins-block1", 806, 348));
CreateSprite("ruins-column", 617, 202);
GroupObjects(group, CreateSprite("ruins-block1", 868, 348));
GroupObjects(group, CreateSprite("ruins-block1", 899, 348));
GroupObjects(group, CreateSprite("ruins-block2", 1302, 348));
CreateSprite("ruins-block3", 1389, 348);
GroupObjects(group, CreateSprite("ruins-block1", 930, 348));
GroupObjects(group, CreateSprite("ruins-block1", 961, 348));
GroupObjects(group, CreateSprite("ruins-block1", 992, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1023, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1054, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1085, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1116, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1147, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1178, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1209, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1240, 348));
GroupObjects(group, CreateSprite("ruins-block1", 1271, 348));
GroupObjects(group, CreateSprite("ruins-block1", 837, 348));
group = CreateSprite("phys-empty", 837, 23);
GroupObjects(group, CreateSprite("ruins-block5", 837, 23));
GroupObjects(group, CreateSprite("ruins-block5", 837, -8));
GroupObjects(group, CreateSprite("ruins-block5", 837, -39));
GroupObjects(group, CreateSprite("ruins-block5", 837, -70));
GroupObjects(group, CreateSprite("ruins-block5", 837, -101));
GroupObjects(group, CreateSprite("ruins-block5", 837, -132));
GroupObjects(group, CreateSprite("ruins-block5", 837, -163));
GroupObjects(group, CreateSprite("ruins-block5", 837, -194));
GroupObjects(group, CreateSprite("ruins-block5", 837, -225));
GroupObjects(group, CreateSprite("ruins-block5", 837, -256));
GroupObjects(group, CreateSprite("ruins-block5", 837, -287));
GroupObjects(group, CreateSprite("ruins-block5", 837, -318));
GroupObjects(group, CreateSprite("ruins-block5", 837, -349));
GroupObjects(group, CreateSprite("ruins-block5", 837, 178));
GroupObjects(group, CreateSprite("ruins-block5", 837, 147));
GroupObjects(group, CreateSprite("ruins-block5", 837, 116));
GroupObjects(group, CreateSprite("ruins-block5", 837, 85));
GroupObjects(group, CreateSprite("ruins-block5", 837, 54));
GroupObjects(group, CreateSprite("ruins-block5", 837, -442));
GroupObjects(group, CreateSprite("ruins-block5", 837, -473));
GroupObjects(group, CreateSprite("ruins-block5", 837, -380));
GroupObjects(group, CreateSprite("ruins-block5", 837, -411));
group = CreateSprite("phys-empty", 806, 186);
GroupObjects(group, CreateSprite("ruins-block3", 594, 186));
GroupObjects(group, CreateSprite("ruins-block1", 620, 186));
GroupObjects(group, CreateSprite("ruins-block1", 651, 186));
GroupObjects(group, CreateSprite("ruins-block1", 682, 186));
GroupObjects(group, CreateSprite("ruins-block1", 713, 186));
GroupObjects(group, CreateSprite("ruins-block1", 744, 186));
GroupObjects(group, CreateSprite("ruins-block1", 775, 186));
GroupObjects(group, CreateSprite("ruins-block1", 806, 186));
group = CreateSprite("phys-empty", 43, -8);
GroupObjects(group, CreateSprite("ruins-block4", 43, -8));
GroupObjects(group, CreateSprite("ruins-block4", 43, -39));
GroupObjects(group, CreateSprite("ruins-block4", 43, -70));
GroupObjects(group, CreateSprite("ruins-block4", 43, -132));
GroupObjects(group, CreateSprite("ruins-block4", 43, -101));
GroupObjects(group, CreateSprite("ruins-block4", 43, -194));
GroupObjects(group, CreateSprite("ruins-block4", 43, -225));
GroupObjects(group, CreateSprite("ruins-block4", 43, -163));
GroupObjects(group, CreateSprite("ruins-block4", 43, -349));
GroupObjects(group, CreateSprite("ruins-block4", 43, -256));
GroupObjects(group, CreateSprite("ruins-block4", 43, -287));
GroupObjects(group, CreateSprite("ruins-block4", 43, -318));
GroupObjects(group, CreateSprite("ruins-block4", 43, -411));
GroupObjects(group, CreateSprite("ruins-block4", 43, -380));
GroupObjects(group, CreateSprite("ruins-block4", 43, -442));
GroupObjects(group, CreateSprite("ruins-block4", 43, 333));
GroupObjects(group, CreateSprite("ruins-block4", 43, 364));
GroupObjects(group, CreateSprite("ruins-block4", 43, 395));
GroupObjects(group, CreateSprite("ruins-block4", 43, 426));
GroupObjects(group, CreateSprite("ruins-block4", 43, 457));
GroupObjects(group, CreateSprite("ruins-block4", 43, 302));
GroupObjects(group, CreateSprite("ruins-block4", 43, 271));
GroupObjects(group, CreateSprite("ruins-block4", 43, 240));
GroupObjects(group, CreateSprite("ruins-block4", 43, 209));
GroupObjects(group, CreateSprite("ruins-block4", 43, 178));
GroupObjects(group, CreateSprite("ruins-block4", 43, 54));
GroupObjects(group, CreateSprite("ruins-block4", 43, 23));
GroupObjects(group, CreateSprite("ruins-block4", 43, 116));
GroupObjects(group, CreateSprite("ruins-block4", 43, 85));
GroupObjects(group, CreateSprite("ruins-block4", 43, 147));
group = CreateSprite("phys-empty", 248, 187);
GroupObjects(group, CreateSprite("ruins-block1", 248, 187));
GroupObjects(group, CreateSprite("ruins-block1", 217, 187));
GroupObjects(group, CreateSprite("ruins-block1", 186, 187));
GroupObjects(group, CreateSprite("ruins-block1", 155, 187));
GroupObjects(group, CreateSprite("ruins-block1", 124, 187));
GroupObjects(group, CreateSprite("ruins-block1", 93, 187));
GroupObjects(group, CreateSprite("ruins-block1", 62, 187));
GroupObjects(group, CreateSprite("ruins-block2", 279, 187));
CreateSprite("ruins-block6", 62, 124);
CreateSprite("ruins-back-window1", 136, 241);
CreateSprite("ruins-back-window1", 738, 258);
CreateSprite("ruins-back-window1", 133, 86);
CreateSprite("ruins-back-window1", 739, 85);
CreateSprite("ruins-back-window2", 323, 236);
CreateSprite("ruins-back-window2", 323, 59);
CreateSprite("ruins-back-window3", 540, 60);
CreateSprite("ruins-back-window3", 539, 240);
CreateSprite("ruins-back-window4", 420, 36);
CreateSprite("ruins-back-window1", 129, -154);
CreateSprite("ruins-back-window1", 741, -152);
CreateSprite("ruins-back-window2", 322, -177);
CreateSprite("ruins-back-window3", 538, -174);
CreateSprite("ruins-back-window4", 418, -272);
CreateSprite("ruins-column", 244, 364);
CreateSprite("ruins-column", 617, 363);
CreateSprite("ruins-back-light", 72, 203);
CreateSprite("ruins-back-light", 72, 254);
CreateSprite("ruins-back-light", 114, 300);
CreateSprite("ruins-back-light", 158, 240);
CreateSprite("ruins-back-light", 115, 179);
CreateSprite("ruins-back-light", 158, 320);
CreateSprite("phys-empty", 248, 187);
CreateSprite("ruins-back-light", 606, 413);
CreateSprite("ruins-back-light", 607, 362);
CreateSprite("ruins-back-light", 608, 447);
CreateSprite("ruins-back-dark", 459, -237);
CreateSprite("ruins-back-dark", 458, -213);
CreateSprite("ruins-back-dark", 458, -163);
CreateSprite("ruins-back-dark", 458, -243);
CreateSprite("ruins-column", 616, 41);
CreateSprite("phys-empty", 617, 25);
CreateSprite("ruins-block1", 617, 25);
CreateSprite("ruins-block3", 591, 25);
CreateSprite("ruins-block2", 648, 25);
CreateSprite("ruins-block3", 811, 25);
CreateSprite("ruins-block3", 811, -193);
CreateSprite("ruins-block4", 43, -473);
CreateSprite("phys-empty", 43, -489);
CreateSprite("ruins-block1", 43, -489);
CreateSprite("ruins-block1", 74, -489);
CreateSprite("ruins-block1", 105, -489);
CreateSprite("ruins-block1", 136, -489);
CreateSprite("ruins-block1", 167, -489);
CreateSprite("ruins-block1", 198, -489);
CreateSprite("ruins-block1", 229, -489);
CreateSprite("ruins-block1", 260, -489);
CreateSprite("ruins-block1", 290, -489);
CreateSprite("ruins-block1", 321, -489);
CreateSprite("ruins-block1", 352, -489);
CreateSprite("ruins-block1", 383, -489);
CreateSprite("ruins-block1", 414, -489);
CreateSprite("ruins-block1", 445, -489);
CreateSprite("ruins-block1", 476, -489);
CreateSprite("ruins-block1", 506, -489);
CreateSprite("ruins-block1", 536, -489);
CreateSprite("ruins-block2", 658, -489);
CreateSprite("ruins-back-dark-right", 562, -457);
CreateSprite("ruins-back-dark", 527, -458);
CreateSprite("ruins-back-light", 53, -473);
CreateSprite("ruins-back-light", 61, -413);
CreateSprite("ruins-back-light", 111, -473);
CreateSprite("ruins-back-light", 117, -418);
CreateSprite("ruins-back-light", 157, -474);
CreateSprite("ruins-back-light", 157, -416);
CreateSprite("ruins-back-light", 195, -473);
CreateSprite("ruins-back-light", 629, -472);
CreateSprite("ruins-back-light", 685, -454);
CreateSprite("ruins-back-light", 744, -457);
CreateSprite("ruins-back-light", 774, -473);
CreateSprite("ruins-back-light", 682, -332);
CreateSprite("ruins-back-light", 692, -473);
CreateSprite("ruins-back-light", 755, -473);
CreateSprite("ruins-back-light", 775, -424);
CreateSprite("ruins-column", 623, -474);
CreateSprite("ruins-block1", 627, -328);
CreateSprite("ruins-block2", 658, -328);
CreateSprite("ruins-block1", 629, -489);
CreateSprite("ruins-block1", 598, -489);
CreateSprite("ruins-block3", 601, -328);
CreateSprite("ruins-back-dark", 395, -447);
CreateSprite("ruins-back-dark", 453, -479);
CreateSprite("ruins-back-dark", 510, -479);
CreateSprite("ruins-back-dark", 542, -476);
CreateSprite("ruins-back-dark-right", 562, -340);
CreateSprite("ruins-block1", 824, -489);
CreateSprite("ruins-block3", 798, -489);
CreateSprite("ruins-block1", 567, -489);
CreateSprite("ruins-back-light", 647, -438);
CreateSprite("ruins-back-dark", 531, -474);
CreateSprite("ruins-block6", 1252, 446);
CreateSprite("ruins-block1", 1415, 348);
group = CreateSprite("phys-empty", 1427, 318);
GroupObjects(group, CreateSprite("ruins-block4", 1427, 318));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 287));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 256));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 225));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 132));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 8));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 194));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 163));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 101));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 70));
GroupObjects(group, CreateSprite("ruins-block4", 1427, 39));
GroupObjects(group, CreateSprite("ruins-block4", 1427, -116));
GroupObjects(group, CreateSprite("ruins-block4", 1427, -85));
GroupObjects(group, CreateSprite("ruins-block4", 1427, -23));
GroupObjects(group, CreateSprite("ruins-block4", 1427, -54));
GroupObjects(group, CreateSprite("ruins-block4", 1427, -147));
CreateSprite("ruins-back-light", 791, 201);
CreateSprite("ruins-back-light", 791, 257);
CreateSprite("ruins-back-light", 791, 291);
CreateSprite("ruins-back-light", 815, 362);
CreateSprite("ruins-back-light", 813, 422);
CreateSprite("ruins-back-light", 817, 472);
CreateSprite("ruins-back-light", 872, 361);
CreateSprite("ruins-back-light", 872, 422);
CreateSprite("ruins-back-light", 872, 472);
CreateSprite("ruins-back-light", 929, 360);
CreateSprite("ruins-back-light", 930, 421);
CreateSprite("ruins-back-light", 932, 471);
CreateSprite("ruins-back-light", 988, 360);
CreateSprite("ruins-back-light", 1052, 361);
CreateSprite("ruins-back-light", 1116, 360);
CreateSprite("ruins-back-light", 1179, 360);
CreateSprite("ruins-back-light", 1242, 360);
CreateSprite("ruins-back-light", 1275, 362);
CreateSprite("ruins-back-light", 1052, 416);
CreateSprite("ruins-back-light", 1114, 416);
CreateSprite("ruins-back-light", 1178, 417);
CreateSprite("ruins-back-light", 1238, 415);
CreateSprite("ruins-back-light", 1274, 412);
CreateSprite("ruins-back-light", 1050, 472);
CreateSprite("ruins-back-light", 994, 472);
CreateSprite("ruins-back-light", 1114, 473);
CreateSprite("ruins-back-light", 1176, 473);
CreateSprite("ruins-back-light", 1219, 474);
CreateSprite("ruins-back-light", 1387, 361);
CreateSprite("ruins-back-light", 1385, 425);
CreateSprite("ruins-back-light", 1378, 473);
CreateSprite("ruins-back-light", 1427, 359);
CreateSprite("ruins-back-light", 1445, 422);
CreateSprite("ruins-back-light", 1442, 474);
CreateSprite("ruins-back-light", 1506, 474);
CreateSprite("ruins-back-light", 1748, 164);
CreateSprite("ruins-back-light", 1504, 412);
CreateSprite("ruins-back-light", 1567, 413);
CreateSprite("ruins-back-light", 1482, 358);
CreateSprite("ruins-back-light", 1538, 355);
CreateSprite("ruins-back-light", 1570, 355);
CreateSprite("ruins-back-light", 1569, 294);
CreateSprite("ruins-back-light", 1453, 324);
CreateSprite("ruins-back-light", 1443, 288);
CreateSprite("ruins-back-light", 1460, 232);
CreateSprite("ruins-back-light", 1461, 170);
CreateSprite("ruins-back-light", 1461, 108);
CreateSprite("ruins-back-light", 1462, 48);
CreateSprite("ruins-back-light", 1461, -12);
CreateSprite("ruins-back-light", 1459, -76);
CreateSprite("ruins-back-light", 1461, -129);
CreateSprite("ruins-back-light", 1521, -128);
CreateSprite("ruins-back-light", 1523, 44);
CreateSprite("ruins-back-light", 1522, 169);
CreateSprite("ruins-back-light", 1578, 233);
CreateSprite("ruins-back-light", 1577, 171);
CreateSprite("ruins-back-light", 1576, 110);
CreateSprite("ruins-back-light", 1582, 47);
CreateSprite("ruins-back-light", 1586, -13);
CreateSprite("ruins-back-light", 1581, -67);
CreateSprite("ruins-back-light", 1583, -127);
CreateSprite("ruins-back-light", 622, -475);
CreateSprite("ruins-back-light", 1505, 295);
CreateSprite("ruins-back-light", 1444, 231);
CreateSprite("ruins-back-light", 1440, 175);
CreateSprite("ruins-back-light", 1443, 114);
CreateSprite("ruins-back-light", 1440, 57);
CreateSprite("ruins-back-light", 1445, -7);
CreateSprite("ruins-back-light", 1445, -69);
CreateSprite("ruins-back-light", 1443, -120);
CreateSprite("ruins-back-light", 1444, -147);
CreateSprite("ruins-back-light", 1501, -147);
CreateSprite("ruins-back-light", 1557, -147);
CreateSprite("ruins-back-light", 1617, -146);
CreateSprite("ruins-back-light", 1681, -146);
CreateSprite("ruins-back-light", 1687, -125);
CreateSprite("ruins-back-light", 1643, -85);
CreateSprite("ruins-back-light", 1706, -85);
CreateSprite("ruins-back-light", 1642, -24);
CreateSprite("ruins-back-light", 1705, -24);
CreateSprite("ruins-back-light", 1642, 36);
CreateSprite("ruins-back-light", 1638, 99);
CreateSprite("ruins-back-light", 1635, 162);
CreateSprite("ruins-back-light", 1636, 223);
CreateSprite("ruins-back-light", 1631, 286);
CreateSprite("ruins-back-light", 1673, 282);
CreateSprite("ruins-back-light", 1640, 410);
CreateSprite("ruins-back-light", 1640, 474);
CreateSprite("ruins-back-light", 1603, 357);
CreateSprite("ruins-back-light", 1607, 417);
CreateSprite("ruins-back-light", 1599, 475);
CreateSprite("ruins-back-light", 1704, 39);
CreateSprite("ruins-back-light", 1699, 164);
CreateSprite("ruins-back-light", 1700, 223);
CreateSprite("ruins-back-light", 1701, 283);
CreateSprite("ruins-back-light", 1670, 346);
CreateSprite("ruins-back-light", 1703, 408);
CreateSprite("ruins-back-light", 1703, 472);
CreateSprite("ruins-back-light", 1750, 105);
CreateSprite("ruins-back-light", 1560, 470);
CreateSprite("ruins-back-light", 1749, 228);
CreateSprite("ruins-back-light", 1749, 292);
CreateSprite("ruins-back-light", 1749, 418);
CreateSprite("ruins-back-light", 1759, 381);
CreateSprite("ruins-back-light", 1749, 472);
CreateSprite("ruins-block1", 1427, -162);
CreateSprite("ruins-block1", 1458, -162);
CreateSprite("ruins-block1", 1489, -162);
CreateSprite("ruins-block1", 1520, -162);
CreateSprite("ruins-block1", 1551, -162);
CreateSprite("ruins-block1", 1582, -162);
CreateSprite("ruins-block1", 1613, -162);
CreateSprite("ruins-block1", 1644, -162);
CreateSprite("ruins-block1", 1675, -162);
CreateSprite("ruins-block1", 1706, -162);
CreateSprite("ruins-block1", 1737, -162);
CreateSprite("ruins-block6", 1427, -224);
CreateSprite("ruins-column", 836, 362);
CreateSprite("ruins-column", 1115, 363);
CreateSprite("ruins-column", 1413, 363);
CreateSprite("ruins-back-dark-right", 562, -476);
CreateSprite("ruins-back-light", 625, -436);
CreateSprite("ruins-back-light", 625, -473);
CreateSprite("ruins-back-light", 1539, 234);
CreateSprite("ruins-back-window1", 1541, 110);
CreateSprite("ruins-back-light", 1540, -15);
CreateSprite("ruins-back-light", 1520, -79);
CreateSprite("ruins-back-light", 1477, -16);
CreateSprite("ruins-back-light", 1562, -18);
CreateSprite("ruins-back-light", 1477, 107);
CreateSprite("ruins-back-light", 1562, 107);
CreateSprite("ruins-back-light", 1516, 46);
CreateSprite("ruins-back-light", 1478, 232);
CreateSprite("ruins-back-light", 1560, 232);
CreateSprite("ruins-back-light", 1517, 172);
CreateSprite("ruins-block1", 1445, -47);
CreateSprite("ruins-block1", 1476, -47);
CreateSprite("ruins-block1", 1507, -47);
CreateSprite("ruins-block1", 1538, -47);
CreateSprite("ruins-block1", 1569, -47);
CreateSprite("ruins-block1", 1600, -47);
CreateSprite("ruins-block1", 1630, -47);
CreateSprite("ruins-block1", 1660, -47);
CreateSprite("ruins-block1", 1690, -47);
CreateSprite("ruins-block1", 1720, -47);
CreateSprite("ruins-block1", 1751, -47);
CreateSprite("ruins-block1", 1782, -47);
CreateSprite("ruins-block6", 1444, -110);
CreateSprite("ruins-block6", 1505, -110);
CreateSprite("ruins-back-edge-right", 837, 332);
CreateSprite("ruins-back-edge-right", 837, 302);
CreateSprite("ruins-back-edge-right", 837, 271);
CreateSprite("ruins-back-edge-right", 837, 240);
CreateSprite("ruins-back-edge-right", 837, 209);
CreateSprite("ruins-back-top-broken", 678, -492);
CreateSprite("ruins-back-light", 990, 416);
CreateSprite("ruins-block1", 838, 508);
CreateSprite("ruins-block1", 869, 508);
CreateSprite("ruins-block1", 900, 508);
CreateSprite("ruins-block1", 931, 508);
CreateSprite("ruins-block1", 962, 508);
CreateSprite("ruins-block1", 993, 508);
CreateSprite("ruins-block1", 1023, 508);
CreateSprite("ruins-block1", 1054, 508);
CreateSprite("ruins-block1", 1085, 508);
CreateSprite("ruins-block1", 1113, 508);
CreateSprite("ruins-block1", 1143, 508);
CreateSprite("ruins-block1", 1205, 508);
CreateSprite("ruins-block1", 1236, 508);
CreateSprite("ruins-block1", 1174, 508);
CreateSprite("ruins-block1", 1266, 508);
CreateSprite("ruins-block1", 1297, 508);
CreateSprite("ruins-block1", 1328, 508);
CreateSprite("ruins-block1", 1390, 508);
CreateSprite("ruins-block1", 1359, 508);
CreateSprite("ruins-block1", 1421, 508);
CreateSprite("ruins-block1", 1452, 508);
CreateSprite("ruins-block1", 1483, 508);
CreateSprite("ruins-block6", 1242, 383);
CreateSprite("ruins-block6", 1189, 445);
CreateSprite("ruins-block1", 1514, 508);
CreateSprite("ruins-block1", 1545, 508);
CreateSprite("ruins-block1", 1576, 508);
CreateSprite("ruins-block1", 1607, 508);
CreateSprite("ruins-block1", 1638, 508);
CreateSprite("ruins-block1", 1669, 508);
CreateSprite("ruins-block1", 1700, 508);
CreateSprite("ruins-block1", 1731, 508);
CreateSprite("ruins-block1", 1762, 508);
CreateSprite("ruins-block1", 1793, 508);
CreateSprite("ruins-block2", 1824, 508);
CreateSprite("ruins-column", 1645, 362);
CreateSprite("ruins-back-window1", 1714, 107);
CreateSprite("ruins-back-light", 1650, 103);
CreateSprite("ruins-back-light", 1737, 102);
CreateSprite("ruins-back-light", 1691, 43);
CreateSprite("ruins-block1", 1647, 347);
CreateSprite("ruins-block3", 1621, 347);
CreateSprite("ruins-block2", 1445, 348);
CreateSprite("ruins-block2", 1678, 347);
CreateSprite("ruins-column", 1644, 202);
CreateSprite("ruins-block1", 1646, 186);
CreateSprite("ruins-block1", 1677, 186);
CreateSprite("ruins-block1", 1708, 186);
CreateSprite("ruins-block1", 1738, 186);
CreateSprite("ruins-block1", 1769, 186);
CreateSprite("ruins-block1", 1800, 186);
CreateSprite("ruins-block1", 1831, 186);
CreateSprite("ruins-block1", 1862, 186);
CreateSprite("ruins-block1", 1892, 186);
CreateSprite("ruins-block1", 1923, 186);
CreateSprite("ruins-block1", 1954, 186);
CreateSprite("ruins-block1", 1985, 186);
CreateSprite("ruins-block2", 2016, 186);
CreateSprite("ruins-block1", 1615, 186);
CreateSprite("ruins-block1", 1584, 186);
CreateSprite("ruins-block3", 1558, 186);
CreateSprite("ruins-block6", 1579, 124);
CreateSprite("ruins-block2", 1812, -47);
CreateSprite("ruins-block2", 1755, -162);
CreateSprite("ruins-back-light", 1334, 361);
CreateSprite("ruins-back-light", 1331, 422);
CreateSprite("ruins-back-light", 1314, 462);
CreateSprite("ruins-back-light", 1277, 524);
CreateSprite("ruins-back-light", 1338, 525);
CreateSprite("ruins-back-light", 1277, 587);
CreateSprite("ruins-back-light", 1214, 533);
CreateSprite("ruins-back-light", 1213, 589);
CreateSprite("ruins-back-light", 1151, 531);
CreateSprite("ruins-back-light", 1151, 590);
CreateSprite("ruins-back-light", 1094, 531);
CreateSprite("ruins-back-light", 1031, 531);
CreateSprite("ruins-back-light", 1089, 591);
CreateSprite("ruins-back-light", 1028, 592);
CreateSprite("ruins-back-light", 969, 529);
CreateSprite("ruins-back-light", 967, 590);
CreateSprite("ruins-back-light", 907, 527);
CreateSprite("ruins-back-light", 905, 590);
CreateSprite("ruins-back-light", 1341, 589);
CreateSprite("ruins-back-light", 1398, 532);
CreateSprite("ruins-back-light", 1399, 591);
CreateSprite("ruins-back-light", 1459, 536);
CreateSprite("ruins-back-light", 1459, 595);
CreateSprite("ruins-back-light", 1514, 534);
CreateSprite("ruins-back-light", 1523, 596);
CreateSprite("ruins-back-light", 1572, 532);
CreateSprite("ruins-back-light", 1585, 594);
CreateSprite("ruins-back-light", 1635, 538);
CreateSprite("ruins-back-light", 1644, 599);
CreateSprite("ruins-back-light", 1696, 534);
CreateSprite("ruins-back-light", 1763, 598);
CreateSprite("ruins-back-light", 1701, 595);
CreateSprite("ruins-back-light", 1751, 535);
CreateSprite("ruins-back-light", 1591, 339);
CreateSprite("ruins-back-light", 1673, 339);
CreateSprite("ruins-back-light", 1727, 373);
CreateSprite("ruins-back-light", 1726, 342);
CreateSprite("ruins-column", 836, 524);
CreateSprite("ruins-column", 1115, 524);
CreateSprite("ruins-column", 1414, 523);
CreateSprite("ruins-block3", 2344, 189);
CreateSprite("ruins-block1", 2370, 189);
CreateSprite("ruins-block2", 2401, 189);
group = CreateSprite("phys-empty", 2386, 205);
GroupObjects(group, CreateSprite("ruins-block5", 2385, 205));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 205));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 236));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 267));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 298));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 329));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 360));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 391));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 422));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 236));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 267));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 298));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 329));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 360));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 391));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 422));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 453));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 484));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 515));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 546));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 577));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 670));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 639));
GroupObjects(group, CreateSprite("ruins-block4", 2367, 608));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 453));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 484));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 515));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 546));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 577));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 670));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 639));
GroupObjects(group, CreateSprite("ruins-block5", 2385, 608));
group = CreateSprite( "phys-empty", 2847, 188 );
CreateSprite("ruins-column", 1645, 524);
GroupObjects(group, CreateSprite("ruins-block3", 2847, 188));
GroupObjects(group, CreateSprite("ruins-block1", 2873, 188));
GroupObjects(group, CreateSprite("ruins-block2", 2904, 188));
group = CreateSprite( "phys-empty", 2868, 204 );
GroupObjects(group, CreateSprite("ruins-block4", 2868, 204));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 204));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 235));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 266));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 297));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 328));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 359));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 235));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 266));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 297));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 328));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 359));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 390));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 421));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 452));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 483));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 514));
GroupObjects(group, CreateSprite("ruins-block4", 2868, 545));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 390));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 421));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 452));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 483));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 514));
GroupObjects(group, CreateSprite("ruins-block5", 2886, 545));
CreateSprite("ruins-back-light-right-broken", 1806, 201);
CreateSprite("ruins-back-light-right-broken", 1805, 265);
CreateSprite("ruins-back-light-right-broken", 1805, 329);
CreateSprite("ruins-back-light-right-broken", 1773, -19);
CreateSprite("ruins-back-light", 1744, 346);
CreateSprite("ruins-back-top-broken", 1297, 349);
CreateSprite("ruins-back-light-right-broken2", 1806, 393);
CreateSprite("ruins-back-light-right-broken", 1822, 457);
CreateSprite("ruins-back-light-right-broken2", 1824, 519);
CreateSprite("ruins-back-light-right-broken2", 1842, 583);
CreateSprite("ruins-back-light", 1775, 521);
CreateSprite("ruins-back-light", 1777, 453);
CreateSprite("ruins-back-light", 1789, 580);
CreateSprite("ruins-back-light", 1791, 604);
CreateSprite("ruins-back-light-right-broken2", 1735, -147);
CreateSprite("ruins-back-light-right-broken2", 1754, -83);
CreateSprite("ruins-back-light-right-broken2", 1776, 44);
CreateSprite("ruins-back-light-right-broken", 1793, 106);
CreateSprite("ruins-back-light-right-broken", 1793, 135);
CreateSprite("ruins-back-light", 1733, 39);
CreateSprite("ruins-back-light", 1725, -25);
CreateSprite("ruins-column", 1547, -307);
CreateSprite("ruins-column", 1673, -307);
group = CreateSprite("phys-empty", 1550, -322);
GroupObjects(group, CreateSprite("ruins-block1", 1550, -322));
GroupObjects(group, CreateSprite("ruins-block1", 1581, -322));
GroupObjects(group, CreateSprite("ruins-block1", 1612, -322));
GroupObjects(group, CreateSprite("ruins-block1", 1642, -322));
GroupObjects(group, CreateSprite("ruins-block1", 1673, -322));
CreateSprite("ruins-back-dark-right", 1627, -224);
CreateSprite("ruins-back-dark-right", 1627, -286);
CreateSprite("ruins-back-dark-right", 1628, -319);
CreateSprite("ruins-back-dark-left", 1564, -223);
CreateSprite("ruins-back-dark-left", 1563, -284);
CreateSprite("ruins-back-dark-left", 1564, -313);
CreateItem( "death-area", -380, 348 );
group = CreateItem( "generic-death-area", 1536, 465 );
GroupObjects( group, CreateItem( "generic-death-area", 2221, 624 ));
group = CreateItem( "generic-death-area", 2308, 229 );
GroupObjects( group, CreateItem( "generic-death-area", 2700, 400 ));
CreateItem("wakabamark", 2370, 152);
CreateItem("candle", 78, 263);
CreateItem("candle", 677, 263);
CreateItem("candle", 635, -73);
CreateItem("candle", 1516, 440);
CreateItem("candle", 1593, 43);
CreateItem("candle", 1624, -233);

CreatePlayer("sohchan", 175, 220);
CreatePlayer("unylchan", 175, 220);
SetCamAttachedObj(GetPlayer().id);		--    
SetCamAttachedAxis(true, true);		--      X
SetCamFocusOnObjPos(constants.CamFocusBottomCenter);	--       
--    y-    ,  ,    , , 
SetCamObjOffset(0, 100);	--     

PlayBackMusic("iie_survivor");

co = NewThread( btards );	
Resume(co); 